Home | All Classes | Grouped Classes | Index | Search

# CL_GraphicContext::enable_stencil_test

Enables stencil buffer testing

    	void enable_stencil_test(
    		bool enabled, CL_StencilFunc func=stencil_lequal, int ref=1);

Parameters:

bool enabled
  Enables/disables stencil testing.
int func
  Type of comparison. Default: lequal (pass if ref <= stencil)
int ref
  Reference value that the stencil is compared with. Default: 1

Detailed description:

Individual pixels are tested against the values in the stencil buffer, and drawn depending on the comparison result. This can be used for masking and boolean operations on bitmaps

See also:

CL_GraphicContext

Questions or comments, write to the ClanLib mailing list.